part of 'test_set_execute_bloc.dart';

abstract class TestSetExecuteEvent extends Equatable {
  const TestSetExecuteEvent();

  @override
  List<Object> get props => [];
}

class TestSetExecuteLoad extends TestSetExecuteEvent {
  const TestSetExecuteLoad();
}

class TestSetExecuteExecute extends TestSetExecuteEvent {
  final int exerciseTypeId;
  const TestSetExecuteExecute({this.exerciseTypeId});

  @override
  List<Object> get props => [exerciseTypeId];
}

class TestSetExecuteFinish extends TestSetExecuteEvent {
  const TestSetExecuteFinish();
}

class TestSetExecuteExerciseFinished extends TestSetExecuteEvent {
  final int exerciseTypeId;
  final double quantity;
  final double unitQuantity;
  const TestSetExecuteExerciseFinished({this.exerciseTypeId, this.quantity, this.unitQuantity});

  @override
  List<Object> get props => [exerciseTypeId, quantity, unitQuantity];
}

class TestSetExecuteNewExercise extends TestSetExecuteEvent {
  final int exerciseTypeId;
  const TestSetExecuteNewExercise({this.exerciseTypeId});

  @override
  List<Object> get props => [exerciseTypeId];
}

class TestSetExecuteDeleteExercise extends TestSetExecuteEvent {
  final int exerciseTypeId;
  const TestSetExecuteDeleteExercise({this.exerciseTypeId});

  @override
  List<Object> get props => [exerciseTypeId];
}

class TestSetExecuteDeleteActive extends TestSetExecuteEvent {
  const TestSetExecuteDeleteActive();
}
